#ifndef _WINDOWS
#include <netinet/in.h>
#endif

#include <time.h>
#include <fstream>
#include <string>

class ClientConnection
{
	private:
		int			NetworkSocket;
		struct sockaddr_in	SocketStruct;
		char			Resource[150];
		time_t			LastAction;
	public:
		std::ifstream		*FileStream;
		int			BytesRemaining;
		int			PollIterator;

		int			BandwidthLeft;
		time_t			LastBandReset;

		std::string		SendBuffer;
		int			SendBufferIterator;


		ClientConnection ();		// Constructor
		int  GetSocket ( void );
		char *GetIP ( void );
		char *GetResource ( void );
		int OpenFile ( char * );
		void CloseFile ( void );
		void SetResource ( char * );
		char AcceptConnection ( int );
		void DisconnectClient ( void );
		int SendData ( char *, int );
		ssize_t RecvData ( char *, ssize_t );
		time_t SecondsIdle ( void );
};
